Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007509TestLinkExport/Importpublic2016-04-21 11:482016-09-08 15:12
Reporterfloscle 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSWindowsOS Version
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.15 (2015 Q4) 
Summary0007509: Exporting testcases : add options to exclude from export: Summary,Preconditions,Steps
DescriptionI am running a script every night that export a lot of tests cases from TestLink.
The resulting files are big.
I've added options to choose not importing summary, preconditions and test steps.
On the URL, by adding :
- exportTCSummary=0 : don't export tests cases summaries
- exportTCPreconditions=0 : don't export tests cases preconditions
- exportTCSteps=0 : don't export tests cases steps
I'm joinning the diffs files
Theses options can be extended to other fields if needed
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox
PHP Version5.6.14
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Fileszip file icon diffs.zip [^] (844 bytes) 2016-04-21 11:48
zip file icon TCexport.zip [^] (54,024 bytes) 2016-04-21 13:38
png file icon Screen Shot 2016-04-24 at 11.46.59.png [^] (56,472 bytes) 2016-04-24 09:48

- Relationships
child of 0007262closedfman Availables hot-fixes for 1.9.14 & How To get full fixed package from GitHub 

-  Notes
(0024719)
fman (administrator)
2016-04-21 12:24

thanks for contribution
Please always provide full source, I will do the diff.
(0024721)
floscle (reporter)
2016-04-21 13:38

ok, sorry, I send you the 2 files
(0024729)
fman (administrator)
2016-04-21 18:00

thanks
(0024745)
fman (administrator)
2016-04-24 09:48

minor changes
1) new options have been added to GUI (see attached image)
2) new options will default to 0 (like current options)
(0024746)
fman (administrator)
2016-04-24 09:49

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/55fd451f29bb17ad240b0c68130419869fee3918 [^]
(0025253)
fman (administrator)
2016-09-08 15:12

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2016-04-21 11:48 floscle New Issue
2016-04-21 11:48 floscle File Added: diffs.zip
2016-04-21 12:24 fman Note Added: 0024719
2016-04-21 13:38 floscle File Added: TCexport.zip
2016-04-21 13:38 floscle Note Added: 0024721
2016-04-21 18:00 fman Note Added: 0024729
2016-04-24 09:35 fman QA Team - Task Workflow Status => TBD
2016-04-24 09:35 fman Summary Exporting testcases : add options to limit fields exported => Exporting testcases : add options to exclude from export: Summary,Preconditions,Steps
2016-04-24 09:48 fman Note Added: 0024745
2016-04-24 09:48 fman File Added: Screen Shot 2016-04-24 at 11.46.59.png
2016-04-24 09:49 fman Fixed in Version => 1.9.15 (2015 Q4)
2016-04-24 09:49 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2016-04-24 09:49 fman Note Added: 0024746
2016-04-24 09:49 fman Status new => resolved
2016-04-24 09:49 fman Resolution open => fixed
2016-04-24 09:49 fman Assigned To => fman
2016-04-24 09:49 fman Relationship added child of 0007262
2016-09-08 15:12 fman Note Added: 0025253
2016-09-08 15:12 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker